Subject: Re: bug#73511: 30.0.91; icomplete-vertical-mode TAB-key pops two completions windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Sep 2024 15:55:33 +0300

> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 Sep 2024 12:05:44 +0000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > There are no 2 *Completions* windows.  Instead, you have one
> > *Completions* window and the list of completions in the mini-window.
> >
> > I think this is the intended behavior, and see no bug here.
> >
> 
> On reaching the point in the path /usr/src/external/gpl highlighting
> either gpl2 or gpl3 in the only 1 *Completions* window and pressing C-j
> will enter dired mode for that directory.
> 
> Pressing TAB at that point on either highlighted alternatives duplicates
> the *Completions* window resulting in 2 *Completions* windows.  And, as
> far as I know the user has to mouse select from the duplicated window.

No, you can select with C-j or with M-TAB.

> The intended behavior is to get to the target configure file preferably
> without needing to mouse point in the second *Completions* window, TAB
> would select from the inferred highlighted option.

No, in Icomplete mode TAB does not select.  I suggest to read the
"Icomplete" node in the Emacs user manual, it explains how to use this
mode.